%define date    20200805
%define commit  2635e5e930fe12a688a4e445a853d7b76ea01f3a

Name:           zanshin
Version:        0.5.71
Release:        %mkrel 3.%{date}.2
Summary:        Getting Things Done application
Group:          Graphical desktop/KDE
License:        GPLv2+ and LGPLv2+
URL:            https://zanshin.kde.org
Source0:        https://github.com/KDE/zanshin/archive/%{commit}/%{name}-%{commit}.tar.gz
# Not in Git and it's too convoluted to extract from KDE SVN,
# let's just reuse translations from the last stable tarball.
Source1:        %{name}-%{version}-po.tar.gz
#Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz
Recommends:     renku

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiCalendar)
BuildRequires:  cmake(KF5AkonadiContact)
BuildRequires:  cmake(KF5AkonadiNotes)
BuildRequires:  cmake(KF5AkonadiSearch)
BuildRequires:  cmake(KF5IdentityManagement)
BuildRequires:  cmake(KF5KontactInterface)
BuildRequires:  cmake(KF5Ldap)

BuildRequires:  cmake(KF5Runner)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KDELibs4Support)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

Obsoletes:      renku < 0.5.0-6

%description
A Getting Things Done application which aims at getting your mind like water.

%files -f %{name}.lang
%doc AUTHORS COPYING COPYING.LIB HACKING TODO
%{_kf5_bindir}/%{name}
%{_kf5_bindir}/%{name}-migrator
%{_qt5_plugindir}/kontact5/kontact_zanshinplugin.so
%{_qt5_plugindir}/krunner_zanshin.so
%{_qt5_plugindir}/zanshin_part.so
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_services}/kontact/zanshin_plugin.desktop
%{_kf5_services}/plasma-runner-zanshin.desktop
%{_kf5_services}/zanshin_part.desktop
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.*

#---------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{commit} -a 1

# KDE l10n interaction with Git is meh...
echo "find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)" >> CMakeLists.txt

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.5.71-3.20200805.2.mga8
+ Revision: 1660338
- Rebuild for new Qt5

* Fri Oct 23 2020 akien <akien> 0.5.71-3.20200805.1.mga8
+ Revision: 1638860
- Git snapshot from 20200805, fixes build

* Thu May 28 2020 daviddavid <daviddavid> 0.5.71-3.mga8
+ Revision: 1588533
- switch appdata file to kf5_metainfo dir

* Wed Feb 19 2020 umeabot <umeabot> 0.5.71-2.mga8
+ Revision: 1544545
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 daviddavid <daviddavid> 0.5.71-1.mga8
+ Revision: 1483237
- new version: 0.5.71
+ wally <wally>
- build with new cmake macros

* Fri Aug 23 2019 daviddavid <daviddavid> 0.5.0-5.mga8
+ Revision: 1431454
- add patch to add missing KF5::AkonadiContact call

* Tue Apr 02 2019 umeabot <umeabot> 0.5.0-4.mga7
+ Revision: 1385348
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.mga7-current
+ Revision: 1302033
- Mageia 7 Mass Rebuild

* Mon Apr 02 2018 neoclust <neoclust> 0.5.0-2.mga7
+ Revision: 1214770
- Rebuild against new kde applications

* Sat Jan 20 2018 daviddavid <daviddavid> 0.5.0-1.mga7
+ Revision: 1195071
- new version: 0.5.0
- now translations are available upstream

* Wed Sep 28 2016 neoclust <neoclust> 0.4.1-2.mga6
+ Revision: 1057480
- Do not build on armv5tl

* Wed Sep 14 2016 akien <akien> 0.4.1-1.mga6
+ Revision: 1052600
- Version 0.4.1

* Sat Apr 23 2016 akien <akien> 0.4.0-1.mga6
+ Revision: 1005612
- Version 0.4.0

* Sun Jan 24 2016 akien <akien> 0.3.1-1.git20160123.1.mga6
+ Revision: 927014
- KF5 version based on a git snapshot (unstable)

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-7.mga5
+ Revision: 744304
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-6.mga5
+ Revision: 690853
- Mageia 5 Mass Rebuild

* Wed Mar 12 2014 akien <akien> 0.2.1-5.mga5
+ Revision: 602613
- Add missing Requires on kdepim4-kresources, kdepimlib4-core and akonadi-kde

* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-4.mga4
+ Revision: 529649
- Mageia 4 Mass Rebuild

* Wed Apr 10 2013 barjac <barjac> 0.2.1-3.mga4
+ Revision: 409441
- rebuild for boost-1.53

* Mon Jan 14 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 387657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 juancho <juancho> 0.2.1-1.mga2
+ Revision: 217754
- Added missing BR libboost-devel
- Updated to 0.2.1

* Thu Dec 01 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 174665
- Update tarball to 0.2.0

* Tue Oct 11 2011 mikala <mikala> 0.2-0.rc1.2.mga2
+ Revision: 153904
- Add translations (SOURCE1) using neoclust's script for digikam
- add patch1 to enable translation compilation
- don't own %%{_kde_services}/kontact/

* Tue Oct 11 2011 mikala <mikala> 0.2-0.rc1.1.mga2
+ Revision: 153764
- imported package zanshin

